#IDLE ANIMATION #,tag=!svm.jj.stand_fist_model
execute as @s[tag=svm.jj.stand_model] run function svm_jojo:fighting_styles/stands/idle
#CALL/RECALL
execute as @s[tag=stand_user,nbt={SelectedItem:{tag:{svm.jj.orb:1b}}}] unless entity @s[scores={svm.jj.stunned=110..}] unless score @s svm.jj.stand_state matches 1.. run function svm_jojo:fighting_styles/stands/call
execute as @s[tag=stand_user] if score @s svm.jj.stand_state matches 1.. unless entity @s[nbt={SelectedItem:{tag:{svm.jj.orb:1b}}}] if entity @s[type=player] run function svm_jojo:fighting_styles/stands/recall
#STAND USER
execute as @s[tag=stand_user] run function svm_jojo:fighting_styles/stands/stand_user_tick
scoreboard players enable @a svm.jj.menu
execute as @a[scores={svm.jj.menu=1..}] run function svm_jojo:menu/trigger_menu
execute as @s[scores={svm.jj.last_damage=0..}] run scoreboard players add @s svm.jj.last_damage 1

scoreboard players operation %PISTOL_RELOAD svm.jj.numbers = @s svm.jj.pistol_reload_delay

scoreboard players operation %PISTOL_RELOAD svm.jj.numbers /= %20 svm.jj.numbers
title @s[type=player,nbt={SelectedItem:{tag:{svm.jj.pistol:1b}}}] actionbar ["",{"text":"| ","color":"gray"},{"text":"B","color":"gold"},{"text":"u","color":"#FFB926"},{"text":"l","color":"#FFCC42"},{"text":"l","color":"#FFE060"},{"text":"ets ","color":"#FFEE72"},{"text":"l","color":"#FFE060"},{"text":"e","color":"#FFCC42"},{"text":"f","color":"#FFB926"},{"text":"t","color":"gold"},{"text":": ","color":"gray"},{"score":{"name":"@s","objective":"svm.jj.pistol_bullets"},"color":"gold"},{"text":"/","color":"#FFBF39"},{"text":"6","color":"#FFD06B"},{"text":" |","color":"gray"},{"text":" ","color":"gold"},{"score":{"name":"%PISTOL_RELOAD","objective":"svm.jj.numbers"},"color":"gold"},{"text":" |","color":"gray"}]
execute as @s[type=player,scores={svm.jj.pistol_reload_delay=1..}] run function svm_jojo:items/pistol/cd

execute as @s[scores={svm.jj.hit_by_barrage=..0}] run scoreboard players reset @s svm.jj.hit_by_barrage
execute as @s[scores={svm.jj.hit_by_barrage=1..}] run scoreboard players remove @s svm.jj.hit_by_barrage 2
#ARROW ANIMATION
execute as @s[scores={svm.jj.arrow_animation=1..}] run function svm_jojo:fighting_styles/stands/use_arrow_animation
#CUSTOM PARTICLES
execute as @s[tag=svm.jj.particle] run function svm_jojo:fighting_styles/stands/particles/tick
#STUNNED
execute as @s[scores={svm.jj.stunned=1..}] run function svm_jojo:stunned
execute as @s[scores={svm.ws_disc_punched_reset=1..}] run function svm_jojo:fighting_styles/stands/whitesnake/disc_punch/hitby_effect
#NPC
execute as @s[tag=stand_user,type=!player,tag=!svm.jj.npc] run function svm_jojo:npc/tick
execute as @s[type=!player,tag=svm.jj.npc] run function svm_jojo:npc/tick
#PROJECTILE
execute as @s[tag=svm.jj.projectile] run function svm_jojo:projectile_tick
#STRAY CAT
execute as @s[tag=svm.jj.stray_cat] run function svm_jojo:fighting_styles/stands/stray_cat/tick
#CRACK
execute as @s[tag=svm.jj.crack] at @s run function svm_jojo:system/crack/tick
#EXPLOSION DISPLAY
execute as @s[tag=svm.jj.kq_explosion_display] run function svm_jojo:fighting_styles/stands/killer_queen/animate_explosion
#SHEER HEART ATTACK
execute as @s[tag=svm.jj.sheer_heart_attack] run scoreboard players add @s svm.kq_sheer_heart_attack_sound_delay 1
execute as @s[tag=svm.jj.sheer_heart_attack] if predicate svm_jojo:chance/10_percent if score @s svm.kq_sheer_heart_attack_sound_delay matches 60.. run function svm_jojo:fighting_styles/stands/killer_queen/sheer_heart_attack/sound
#SHEER HEART ATTACK TICK
execute as @s[tag=svm.jj.sheer_heart_attack] run function svm_jojo:fighting_styles/stands/killer_queen/sheer_heart_attack/tick
#BTD
execute as @s[scores={svm.kq_bites_the_dust_activate=90}] run function svm_jojo:fighting_styles/stands/killer_queen/bites_the_dust/time_rewind
execute as @s[scores={svm.kq_bites_the_dust_activate=90..}] at @s run particle minecraft:dust 0.4 0.3 1 1 ~ ~2 ~ 1 1 1 0 4
execute as @s[scores={svm.kq_bites_the_dust_activate=90..}] at @s run particle minecraft:dust 0.4 0.7 1 1 ~ ~2 ~ 1 1 1 0 4
execute as @s[scores={svm.kq_bites_the_dust_activate=90..}] at @s run particle minecraft:dust 0.4 0.8 0.7 1 ~ ~2 ~ 1 1 1 0 4
execute as @s[scores={svm.kq_bites_the_dust_activate=90..}] at @s run particle minecraft:dust 1 0.3 0.7 1 ~ ~2 ~ 1 1 1 0 7
#USING RAIN
execute as @s[scores={svm.wr_using_rain=1..}] run function svm_jojo:fighting_styles/stands/weather_report/rain_control/using_rain
execute as @s[scores={svm.wr_rain_invincibility=1..}] run scoreboard players remove @s svm.wr_rain_invincibility 1
execute as @s[tag=svm.jj.rain_start_animation] run function svm_jojo:fighting_styles/stands/weather_report/rain_control/start_animation_particle
#USING FROG RAIN
execute as @s[scores={svm.wr_using_frog_rain=1..}] run function svm_jojo:fighting_styles/stands/weather_report/frog_rain/using_frog_rain

#TS
execute as @s[scores={svm.time_stopping=1..}] run function svm_jojo:fighting_styles/time_stop/time_stopper
execute as @s[scores={svm.time_stop_resistance_delay=1..}] run scoreboard players remove @s svm.time_stop_resistance_delay 1
execute as @s[scores={svm.time_stop_resistance=1..}] run function svm_jojo:fighting_styles/time_stop/time_stop_resistant
execute as @s[scores={svm.last_time_stop=1..}] run scoreboard players remove @s svm.last_time_stop 1

execute as @s[scores={svm.jj.screen_flashed=1..}] at @s run function svm_jojo:system/screen_flashed

#THROW KNIFE CD
execute as @s[scores={svm.jj.throw_knife_delay=1..}] run scoreboard players remove @s svm.jj.throw_knife_delay 1
function #svm_jojo:entity_tick_selected