scoreboard players remove @s svm.wr_using_rain 1
scoreboard players add @s svm.wr_power_delay_09 1
scoreboard players add @s[scores={svm.wr_using_rain=200..}] svm.wr_power_delay_09 1
scoreboard players add @s[scores={svm.wr_using_rain=400..}] svm.wr_power_delay_09 1
scoreboard players add @s[scores={svm.wr_using_rain=540..}] svm.wr_power_delay_09 1
scoreboard players add @s svm.wr_power_delay_10 2
scoreboard players add @s svm.wr_rain_invincibility 2
tag @s add executor

execute unless entity @s[scores={svm.wr_power_delay_14=1..}] on attacker run tag @s add attacker
execute as @e[tag=attacker] run scoreboard players set @e[tag=executor] svm.wr_power_delay_14 50
execute as @e[tag=attacker] run scoreboard players set @s svm.wr_targetted_by_lightning 21
execute at @s[scores={svm.wr_using_rain=10..}] run particle minecraft:rain ~ ~3.25 ~ 2.5 0 2.5 0 100

tag @e remove attacker

execute if predicate svm_jojo:chance/2_percent at @s run function svm_jojo:fighting_styles/stands/weather_report/rain_control/spawn_display2

execute at @s as @e[distance=..15,tag=!executor] run function svm_jojo:fighting_styles/stands/weather_report/rain_control/in_radius

execute at @s if predicate svm_jojo:chance/10_percent as @e[type=#minecraft:impact_projectiles,distance=..4] run function svm_jojo:fighting_styles/stands/weather_report/rain_control/projectile_in_radius
execute at @s if predicate svm_jojo:chance/25_percent as @e[type=#minecraft:impact_projectiles,distance=..3] run function svm_jojo:fighting_styles/stands/weather_report/rain_control/projectile_in_radius
execute at @s if predicate svm_jojo:chance/50_percent as @e[type=#minecraft:impact_projectiles,distance=..2] run function svm_jojo:fighting_styles/stands/weather_report/rain_control/projectile_in_radius
execute at @s as @e[type=#minecraft:impact_projectiles,distance=..1] run function svm_jojo:fighting_styles/stands/weather_report/rain_control/projectile_in_radius

execute at @s as @e[distance=..6,type=#svm_jojo:intps] run damage @s 1.5 minecraft:generic by @e[tag=executor,limit=1]
execute at @s as @e[distance=..6,type=!#svm_jojo:technical] run function svm_jojo:system/get_fire
execute at @s as @e[distance=..6,type=!#svm_jojo:technical,scores={svm.jj.fire=1..}] run function svm_jojo:fighting_styles/stands/weather_report/rain_control/extinguish
execute at @s run fill ~3 ~2 ~3 ~-3 ~-2 ~-3 minecraft:farmland[moisture=7] replace minecraft:farmland
execute at @s run particle minecraft:dust_color_transition 1 1 0 1 0 0 1 ~ ~0.76 ~ 0.5 0.5 0.5 0.2 5

execute at @s run particle minecraft:effect ~ ~1 ~ 2 2 2 0.1 2 force @s
execute at @s run particle minecraft:effect ~ ~1 ~ 3 2 3 0.1 2 force @s
execute at @s run particle minecraft:effect ~ ~1 ~ 4 2 4 0.1 2 force @s
execute at @s run particle minecraft:effect ~ ~1 ~ 6 2 6 0.1 9 force @s

tag @s remove executor
